GET V1/Inventory.{ext}/VendorHeader?vendorName={vendorName}

This API is used to get vendor header by vendor nameĀ  or by vendor number.
Any one of the following field is mandatory : vendorName,vendorNumber

Request Information

URI Parameters

NameDescriptionTypeAdditional information
vendorName

Indicates vendorName(Ex:-SANDPIPER ENERGY INC)

string

Required

ext

Which media types are acceptable for the response, such as json/xml

If no matches are found, the content negotiator tries to match on the media type of the request body, if any. For example, if the request contains JSON data, the content negotiator looks for a JSON formatter.

string

Content-Type: application/json OR application/xml

Body Parameters

None.

Response Information

Resource Description

returns header details of Vendors based on VendorName

EMSResponseOfEMS.Inventory.Entities.Vendors
NameDescriptionTypeAdditional information
ResponseType

No description available

string

None.

Response

No description available

EMS.Inventory.Entities.Vendors

None.

Error

No description available

EMS.Common.Error

None.

Response Formats

application/json, text/json

Sample:
{
  "responseType": "Vendors",
  "response": {
    "vendorList": [
      {
        "vendorId": 1,
        "vendorNumber": "sample string 1",
        "vendorName": "sample string 2",
        "vendorCity": "sample string 3",
        "vendorState": "sample string 4",
        "status": "sample string 5",
        "vendorAddress": "sample string 6",
        "geoLocation": "sample string 7",
        "latitude": "sample string 8",
        "longitude": "sample string 9",
        "vendorContactNo": "sample string 10",
        "address1": "sample string 11",
        "address2": "sample string 12",
        "country": "sample string 13",
        "zip": "sample string 14",
        "poBox": "sample string 15",
        "weatherCode": "sample string 16",
        "activeSites": "sample string 17",
        "activeAccounts": "sample string 18",
        "inactiveaccounts": "sample string 19",
        "siteNumber": "sample string 20",
        "utilityType": "sample string 21",
        "paymentType": "sample string 22",
        "receiptMode": "sample string 23",
        "lastActivity": "sample string 24",
        "vendorEmail": "sample string 25",
        "consolidatedVendorName": "sample string 26"
      },
      {
        "vendorId": 1,
        "vendorNumber": "sample string 1",
        "vendorName": "sample string 2",
        "vendorCity": "sample string 3",
        "vendorState": "sample string 4",
        "status": "sample string 5",
        "vendorAddress": "sample string 6",
        "geoLocation": "sample string 7",
        "latitude": "sample string 8",
        "longitude": "sample string 9",
        "vendorContactNo": "sample string 10",
        "address1": "sample string 11",
        "address2": "sample string 12",
        "country": "sample string 13",
        "zip": "sample string 14",
        "poBox": "sample string 15",
        "weatherCode": "sample string 16",
        "activeSites": "sample string 17",
        "activeAccounts": "sample string 18",
        "inactiveaccounts": "sample string 19",
        "siteNumber": "sample string 20",
        "utilityType": "sample string 21",
        "paymentType": "sample string 22",
        "receiptMode": "sample string 23",
        "lastActivity": "sample string 24",
        "vendorEmail": "sample string 25",
        "consolidatedVendorName": "sample string 26"
      }
    ]
  },
  "error": {
    "errorCode": "sample string 1",
    "errorDescription": "sample string 2"
  }
}

application/bson

Sample:
Binary JSON content. See http://bsonspec.org for details.